Package eu.mhsl.minenet.gameList.group

# Class Group

java.lang.Object
eu.mhsl.minenet.gameList.group.Group

public class Group extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Group(net.minestom.server.entity.Player leader)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `acceptInvited(net.minestom.server.entity.Player player)`
  `void`
  `addInvited(net.minestom.server.entity.Player player)`
  `void`
  `addMember(net.minestom.server.entity.Player player)`
  `Set<net.minestom.server.entity.Player>`
  `getInvited()`
  `net.minestom.server.entity.Player`
  `getLeader()`
  `Set<net.minestom.server.entity.Player>`
  `getMembers()`
  `void`
  `removeInvited(net.minestom.server.entity.Player player)`
  `void`
  `removeMember(net.minestom.server.entity.Player player)`
  `void`
  `setLeader(net.minestom.server.entity.Player leader)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Group

    public Group(net.minestom.server.entity.Player leader)

- ## Method Details

  - ### getMembers

    public Set<net.minestom.server.entity.Player> getMembers()

  - ### addMember

    public void addMember(net.minestom.server.entity.Player player)

  - ### removeMember

    public void removeMember(net.minestom.server.entity.Player player)

  - ### getInvited

    public Set<net.minestom.server.entity.Player> getInvited()

  - ### addInvited

    public void addInvited(net.minestom.server.entity.Player player)

  - ### removeInvited

    public void removeInvited(net.minestom.server.entity.Player player)

  - ### acceptInvited

    public void acceptInvited(net.minestom.server.entity.Player player)

  - ### getLeader

    public net.minestom.server.entity.Player getLeader()

  - ### setLeader

    public void setLeader(net.minestom.server.entity.Player leader)